Question

Not able to Install "plperlu" as Extension for Postgres managed database

Posted October 6, 2021 192 views
PostgreSQLDigitalOcean Managed PostgreSQL Database

Hi,

When I am trying to create the Postgres extension “plperlu”, I am getting the below error.

defaultdb=> CREATE EXTENSION plperlu;
ERROR:  permission denied to create extension "plperlu"
HINT:  Must be superuser to create this extension.

This extension is listed under the supported extension section.

https://docs.digitalocean.com/products/databases/postgresql/resources/supported-extensions/

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

×
Submit an Answer
1 answer

Hi there,

Unfortunately, DigitalOcean does not support the “plperlu” Postgres extension as it’s an untrusted language that would allow the full ability to access anything the Postgres process can.

This extension will be removed from the DO soon from the supported list of Postgres extensions.

Regards,
Rajkishore